cURL
curl --request GET \
--url https://api.camposcloud.com/v1/apps \
--header 'Authorization: Bearer <token>'{
"applications": [
{
"_id": "60c72b2f9b1e8d001c8e4f3a",
"currentResourceMetrics": {
"timestamp": "2025-07-19T17:57:05.069Z",
"online": true,
"uptime": 35980,
"startedAt": "2025-07-19T17:57:05.069Z",
"cpuUsagePercent": 0,
"memoryUsageBytes": 43671552,
"memoryLimitBytes": 268435456,
"networkRxBytes": 228961,
"networkTxBytes": 228190
},
"containerId": "da886ad3-88e9-4012-b893-130e87f6b747",
"teamId": "60c72b2f9b1e8d001c8e4f3b",
"restartRequired": false,
"name": "My Application",
"userId": "60c72b2f9b1e8d001c8e4f3a",
"allocatedMemoryMB": 256,
"allocatedVCpu": 8,
"workerNodeId": {
"_id": "60c72b2f9b1e8d001c8e4f3c",
"nodeName": "ODIN"
},
"containerImage": "kevencampos/camposcloud-python",
"exposedViaWeb": false,
"startupCommand": "python -u index.py",
"installDependenciesCmd": "pip install -r requirements.txt",
"runtimeEnvironment": "python",
"autoRestartEnabled": false,
"status": "active",
"createdAt": "2025-07-19T00:02:54.455Z",
"updatedAt": "2025-07-19T17:57:05.069Z",
"githubDeploys": [
{
"commitId": "c505366f3ba913044f65750ab7de60ccbb3d7b5f",
"branch": "main",
"status": "success",
"message": "first commit",
"createdAt": "2025-07-19T17:57:05.069Z",
"commitedAt": "2025-07-19T17:57:05.069Z",
"commitedBy": "Keven Campos",
"_id": "60c72b2f9b1e8d001c8e4f3d",
"duration": 120
}
],
"totalUsedRAM": 52428800,
"pagination": {
"totalItems": 100,
"totalPages": 10,
"currentPage": 1,
"itemsPerPage": 10,
"hasNextPage": false,
"hasPrevPage": false
}
}
]
}Applications
/v1/apps
This endpoint retrieves a list of all applications.
GET
/
v1
/
apps
cURL
curl --request GET \
--url https://api.camposcloud.com/v1/apps \
--header 'Authorization: Bearer <token>'{
"applications": [
{
"_id": "60c72b2f9b1e8d001c8e4f3a",
"currentResourceMetrics": {
"timestamp": "2025-07-19T17:57:05.069Z",
"online": true,
"uptime": 35980,
"startedAt": "2025-07-19T17:57:05.069Z",
"cpuUsagePercent": 0,
"memoryUsageBytes": 43671552,
"memoryLimitBytes": 268435456,
"networkRxBytes": 228961,
"networkTxBytes": 228190
},
"containerId": "da886ad3-88e9-4012-b893-130e87f6b747",
"teamId": "60c72b2f9b1e8d001c8e4f3b",
"restartRequired": false,
"name": "My Application",
"userId": "60c72b2f9b1e8d001c8e4f3a",
"allocatedMemoryMB": 256,
"allocatedVCpu": 8,
"workerNodeId": {
"_id": "60c72b2f9b1e8d001c8e4f3c",
"nodeName": "ODIN"
},
"containerImage": "kevencampos/camposcloud-python",
"exposedViaWeb": false,
"startupCommand": "python -u index.py",
"installDependenciesCmd": "pip install -r requirements.txt",
"runtimeEnvironment": "python",
"autoRestartEnabled": false,
"status": "active",
"createdAt": "2025-07-19T00:02:54.455Z",
"updatedAt": "2025-07-19T17:57:05.069Z",
"githubDeploys": [
{
"commitId": "c505366f3ba913044f65750ab7de60ccbb3d7b5f",
"branch": "main",
"status": "success",
"message": "first commit",
"createdAt": "2025-07-19T17:57:05.069Z",
"commitedAt": "2025-07-19T17:57:05.069Z",
"commitedBy": "Keven Campos",
"_id": "60c72b2f9b1e8d001c8e4f3d",
"duration": 120
}
],
"totalUsedRAM": 52428800,
"pagination": {
"totalItems": 100,
"totalPages": 10,
"currentPage": 1,
"itemsPerPage": 10,
"hasNextPage": false,
"hasPrevPage": false
}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The maximum number of results to return
The page number to retrieve (for pagination)
Filter applications by team ID
Response
List of applications response
Show child attributes
Show child attributes
⌘I